org.apache.fontbox.ttf.table.common

## Class FeatureListTable

- java.lang.Object
- - org.apache.fontbox.ttf.table.common.FeatureListTable

    public class FeatureListTable
    extends Object

This class models the Feature List table in the Open Type layout common tables.

Author:
  Palash Ray

### Constructor Summary

Constructors
Constructor and Description
`FeatureListTable(int featureCount, FeatureRecord[] featureRecords)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getFeatureCount()`
`FeatureRecord[]` `getFeatureRecords()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### FeatureListTable

    public FeatureListTable(int featureCount,
                            FeatureRecord[] featureRecords)

### Method Detail

#### getFeatureCount

    public int getFeatureCount()

#### getFeatureRecords

    public FeatureRecord[] getFeatureRecords()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`